CREATE TABLE `clan_bosses` (
    `id` int(11) NOT NULL AUTO_INCREMENT,
    `name` varchar(255) NOT NULL,
    `health` int(11) NOT NULL,
    `clan_gold` int(11) NOT NULL,
    `exp` int(11) NOT NULL,
    `us_gold` int(11) NOT NULL,
    `img` text NOT NULL,
    `cost` int(11) NOT NULL,
    PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 CHARSET=utf8;

CREATE TABLE `clan_bosses_invites` (
    `id` int(11) NOT NULL AUTO_INCREMENT,
    `dragon` int(11) NOT NULL,
    `starttime` int(11) NOT NULL,
    `preparetime` int(11) NOT NULL,
    `endtime` int(11) NOT NULL,
    `clan_id` int(11) NOT NULL,
    `leader` int(11) NOT NULL,
    `bosshealth` int(11) NOT NULL,
    `win` int(11) NOT NULL,
    PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 CHARSET=utf8;

CREATE TABLE `clan_bosses_players` (
    `id` int(11) NOT NULL AUTO_INCREMENT,
    `battleid` int(11) NOT NULL,
    `user_id` int(11) NOT NULL,
    `clan_id` int(11) NOT NULL,
    `health` int(11) NOT NULL,
    `damage` int(11) NOT NULL,
    PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 CHARSET=utf8;

CREATE TABLE `clan_bosses_hist` (
    `id` int(11) NOT NULL AUTO_INCREMENT,
    `clan_id` int(11) NOT NULL,
    `time` int(11) NOT NULL,
    PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 CHARSET=utf8;

ALTER TABLE `clan_bosses_hist` ADD `battleid` int(11) NOT NULL;
ALTER TABLE `user` ADD `clan_bosses_text` text NOT NULL;
