CREATE TABLE `dungeon_levels` (
    `id` int(11) NOT NULL AUTO_INCREMENT,
    `level` int(11) NOT NULL,
    `image` int(11) NOT NULL,
    `difficult` enum('easy','hard') NOT NULL DEFAULT 'easy',
    `str_min` int(11) NOT NULL,
    `def_min` int(11) NOT NULL,
    `hp_min` int(11) NOT NULL,
    `str_max` int(11) NOT NULL,
    `def_max` int(11) NOT NULL,
    `hp_max` int(11) NOT NULL,
    `type` enum('new','simple') NOT NULL DEFAULT 'new',
    `color_type` enum('white','green') NOT NULL DEFAULT 'white',
    PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 CHARSET=utf8;

ALTER TABLE `user` ADD `dungeon_battle` int(11) NOT NULL DEFAULT '1';
ALTER TABLE `user` ADD `dungeon_cost` int(11) NOT NULL DEFAULT '10';
ALTER TABLE `user` ADD `dungeon_time` int(11) NOT NULL DEFAULT '0';
ALTER TABLE `user` ADD `dungeon_frits` int(11) NOT NULL DEFAULT '0';

INSERT INTO `dungeon_levels` (`id`,`level`,`image`,`difficult`,`str_min`,`def_min`,`hp_min`,`str_max`,`def_max`,`hp_max`,`type`,`color_type`) VALUES
(1,1,1,'easy',0,0,0,200,200,200,'new','white'),(1,1,1,'easy',0,0,0,400,400,400,'new','white'),
(1,1,1,'hard',0,0,0,500,500,500,'simple','green');

CREATE TABLE `dungeon_battle` (
    `id` int(11) NOT NULL AUTO_INCREMENT,
    `user` int(11) NOT NULL,
    `level` int(11) NOT NULL,
    `str` int(11) NOT NULL,
    `hp` int(11) NOT NULL,
    `my_hp` int(11) NOT NULL,
    PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 CHARSET=utf8;